import type { AriesAskar } from '@hyperledger/aries-askar-shared';
export interface AskarModuleConfigOptions {
    /**
     *
     * ## Node.JS
     *
     * ```ts
     * import { ariesAskar } from '@hyperledger/aries-askar-nodejs'
     *
     * const agent = new Agent({
     *  config: {},
     *  dependencies: agentDependencies,
     *  modules: {
     *   ariesAskar: new AskarModule({
     *      ariesAskar,
     *   })
     *  }
     * })
     * ```
     *
     * ## React Native
     *
     * ```ts
     * import { ariesAskar } from '@hyperledger/aries-askar-react-native'
     *
     * const agent = new Agent({
     *  config: {},
     *  dependencies: agentDependencies,
     *  modules: {
     *   ariesAskar: new AskarModule({
     *      ariesAskar,
     *   })
     *  }
     * })
     * ```
     */
    ariesAskar: AriesAskar;
}
/**
 * @public
 */
export declare class AskarModuleConfig {
    private options;
    constructor(options: AskarModuleConfigOptions);
    get ariesAskar(): AriesAskar;
}
